<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\DuplicateStock;
use App\Models\User;

class DuplicateStockPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any DuplicateStock');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, DuplicateStock $duplicatestock): bool
    {
        return $user->checkPermissionTo('view DuplicateStock');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create DuplicateStock');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, DuplicateStock $duplicatestock): bool
    {
        return $user->checkPermissionTo('update DuplicateStock');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, DuplicateStock $duplicatestock): bool
    {
        return $user->checkPermissionTo('delete DuplicateStock');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any DuplicateStock');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, DuplicateStock $duplicatestock): bool
    {
        return $user->checkPermissionTo('restore DuplicateStock');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any DuplicateStock');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, DuplicateStock $duplicatestock): bool
    {
        return $user->checkPermissionTo('replicate DuplicateStock');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder DuplicateStock');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, DuplicateStock $duplicatestock): bool
    {
        return $user->checkPermissionTo('force-delete DuplicateStock');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any DuplicateStock');
    }
}
